Ошибка при установке виртуального бокса

Я запускаю debian 7 и пытаюсь установить виртуальный бокс, используя:

sudo apt-get install virtualbox 

И получение этого результата:

  • Как запустить виртуальную виртуальную машину VM из командной строки?
  • У меня есть окна 7 os, установленные в виртуальном ящике. Я хочу установить программное обеспечение в этом os. Как это сделать?
  • Увеличение размера виртуального диска
  • VirtualBox не видит последнее обновление
  • Используя Virtualbox, почему мой гость (Win7) не видит полный размер диска?
  • Как подключиться к виртуальному настольному клиенту VirtualBox с помощью VNC?
  •  Selecting previously unselected package virtualbox. Unpacking virtualbox (from .../virtualbox_4.1.18-dfsg-2+deb7u1_amd64.deb) ... Selecting previously unselected package virtualbox-dkms. Unpacking virtualbox-dkms (from .../virtualbox-dkms_4.1.18-dfsg-2+deb7u1_all.deb) ... Selecting previously unselected package virtualbox-qt. Unpacking virtualbox-qt (from .../virtualbox-qt_4.1.18-dfsg-2+deb7u1_amd64.deb) ... Processing triggers for man-db ... Processing triggers for menu ... Processing triggers for hicolor-icon-theme ... Processing triggers for shared-mime-info ... Processing triggers for desktop-file-utils ... Setting up libvncserver0:amd64 (0.9.9+dfsg-1) ... Setting up virtualbox (4.1.18-dfsg-2+deb7u1) ... insserv: script virtualbox: service vboxdrv already provided! insserv: exiting now! update-rc.d: error: insserv rejected the script header dpkg: error processing virtualbox (--configure): subprocess installed post-installation script returned error exit status 1 dpkg: dependency problems prevent configuration of virtualbox-dkms: virtualbox-dkms depends on virtualbox (>= 4.1.18-dfsg-2+deb7u1); however: Package virtualbox is not configured yet. dpkg: error processing virtualbox-dkms (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of virtualbox-qt: virtualbox-qt depends on virtualbox (= 4.1.18-dfsg-2+deb7u1); however: Package virtualbox is not configured yet. dpkg: error processing virtualbox-qt (--configure): dependency problems - leaving unconfigured Errors were encountered while processing: virtualbox virtualbox-dkms virtualbox-qt E: Sub-process /usr/bin/dpkg returned an error code (1) 

    Может кто-нибудь помочь?

  • Easy_install установить Trac 0.11, но я хочу 0.12
  • Автоматическое подключение к любому открытому WiFi с Debian
  • Ядро Linux - не могу получить доступ к sda16 & sda17
  • Как настроить разрешение экрана в Debian?
  • Как пройти через это двойственное застопорившееся соединение?
  • Как легко редактировать файл управления в пакете deb
  • 2 Solutions collect form web for “Ошибка при установке виртуального бокса”

    Эта (французская) статья описывает ту же ошибку в Debian: Virtualbox & vboxdrv .
    Решение заключалось в том, чтобы удалить два файла и переустановить Virtualbox следующим образом

     rm -r /etc/init.d/vboxdrv rm -r /var/lib/update-rc.d/vboxdrv apt-get install virtualbox virtualbox-dkms virtualbox-guest-utils virtualbox-guest-additions virtualbox-qt 

    В статье также перечислены решения, которые работают для Fedora:

     /etc/init.d/vboxdrv setup 

    В комментарии позже отмечается, что apt-get purge virtualbox должен был использоваться вместо apt-get remove , который также удалил бы скрипт init, поэтому, возможно, это и есть реальная причина вашей проблемы, которая может быть решена просто путем purge .

    После получения этой ошибки попробуйте apt-get -f install, чтобы принудительно установить файлы, которые не загружались из-за ошибки. Затем повторите попытку apt-get upgrade, apt-get -f установите туда и обратно, пока не останется только пакет с ошибкой.

    Давайте будем гением компьютера.